Summary:	Graphical network viewer modeled after etherman
Summary(pl.UTF-8):	Graficzny monitor sieci
Summary(pt_BR.UTF-8):	Visualizador gráfico de redes modelado como o etherman
Name:		etherape
Version:	0.9.18
Release:	1
License:	GPL v2+
Group:		Applications/Networking
Source0:	https://downloads.sourceforge.net/etherape/%{name}-%{version}.tar.gz
# Source0-md5:	6d6a6c03e03e2d6aae3a59cd42752ac1
Patch1:		%{name}-desktop.patch
Patch3:		%{name}-Makefile.patch
URL:		https://etherape.sourceforge.net/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	gettext-tools >= 0.11.5
BuildRequires:	glib2-devel >= 2.0
BuildRequires:	goocanvas2-devel >= 2.0
BuildRequires:	gtk+3-devel
BuildRequires:	libpcap-devel
BuildRequires:	libtool
BuildRequires:	popt-devel
BuildRequires:	pkgconfig
BuildRequires:	yelp-tools
Requires(post,postun):	desktop-file-utils
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Etherape is a graphical network monitor for Unix modeled after
etherman. Featuring ether, ip and tcp modes, it displays network
activity graphically. Hosts and links change in size with traffic.
Color coded protocols display. It supports ethernet, ppp and slip
devices. It can filter traffic to be shown, and can read traffic from
a file as well as live from the network.

%description -l pl.UTF-8
Etherape to graficzny monitor sieci dla uniksów. Ma tryby ether, ip
oraz tcp, wyświetla aktywność sieci graficznie. Hosty i połączenia
zmieniają rozmiar wraz z ruchem. Protokóły obrazowane za pomocą
kolorów. Obsługa urządzeń ethernet, ppp i slip. Może filtrować ruch
jaki pokazuje, czytać z pliku lub bezpośrednio z sieci.

%description -l pt_BR.UTF-8
O etherape é um monitor gráfico de redes modelado como o etherman.
Contém modos ether, ip e tcp, mostrando de forma gráfica a atividade
da rede: Máquinas e conexões mudam em tamanho como o tráfego e os
protocolos são codificados por cores. O Etherape suporta dispositivos
ethernet, ppp e slip.

%prep
%setup -q
%patch -P1 -p1
%patch -P3 -p1

%build
%{__gettextize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database_post

%postun
%update_desktop_database_postun

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog FAQ NEWS README* TODO
%attr(755,root,root) %{_bindir}/etherape
%{_datadir}/etherape
%{_mandir}/man1/etherape.1*
%{_desktopdir}/etherape.desktop
%{_pixmapsdir}/etherape.png
%changelog
* Fri Apr 25 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/etherape.git;a=log;h=master

* Fri Apr 25 2025 Jakub Bogusz <qboosh@pld-linux.org> 2efe16e
- updated to 0.9.18

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 3b84632
- updated gettext BR

* Thu May 13 2010 sparky <sparky@pld-linux.org> 53e3d03
- BR: gnome-common (for autoconf macros)

* Wed Apr 21 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> a7d24d8
- release 7

* Thu Apr 08 2010 Szymon Siwek <sls@pld-linux.org> 197fc36
- libtoolize

* Sat Apr 03 2010 Elan Ruusamäe <glen@pld-linux.org> 758bc04
- release 6

* Tue Oct 09 2007 Jan Rękorajski <baggins@pld-linux.org> a783d7e
- s/enviroment/environment/

* Thu May 17 2007 Paweł Gołaszewski <blues@pld-linux.org> 9d5df2e
- rel.5

* Wed Apr 04 2007 Szymon Siwek <sls@pld-linux.org> 15ebf83
- added __gettextize

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> db27ac7
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 0571e67
- converted to UTF-8

* Tue Oct 31 2006 Elan Ruusamäe <glen@pld-linux.org> c1684c2
- BR: scrollkeeper for %_omf_dest_dir

* Tue Oct 31 2006 maciek2w <maciek2w@pld-linux.org> 814670b
- updated to 0.9.7

* Sat Apr 22 2006 Jan Rękorajski <baggins@pld-linux.org> 4ff59d4
- orphaned, outdated

* Wed Feb 01 2006 maciek2w <maciek2w@pld-linux.org> b41e62b
- updated to 0.9.4; some patchs fixed
- STBR

* Tue Aug 31 2004 snurf <snurf@pld-linux.org> 07e58d7
- typo / formatting / etc.

* Wed Jul 14 2004 Jakub Bogusz <qboosh@pld-linux.org> 1cb6298
- added resolv patch (fixes build on amd64)
- fixed desktop patch, don't break desktop in install
- no libtool here, added missing BR pkgconfig, release 4

* Wed Jul 14 2004 Jakub Bogusz <qboosh@pld-linux.org> 3c1ca8c
- missing ;

* Wed Jul 14 2004 Jakub Bogusz <qboosh@pld-linux.org> 46942db
- fix libresolv check on amd64, prefer libresolv over libbind (everywhere)

* Wed Jul 14 2004 ankry <ankry@pld-linux.org> c4e5354
- updated Categories

